Subject: [PATCH 4/5] dmaengine: hsu: Fix memory leak when stopping a running transfer

From: [email-masked] (Vinod Koul)
Date: Mon, 4 May 2015 16:34:04 +0530

On Tue, Apr 28, 2015 at 01:17:08PM +0200, 'Greg Kroah-Hartman' wrote:
> On Mon, Mar 30, 2015 at 11:07:32PM +0530, Vinod Koul wrote:
> > On Fri, Mar 27, 2015 at 02:01:58PM +0200, Andy Shevchenko wrote:
> > > On Fri, 2015-03-27 at 13:35 +0200, Peter Ujfalusi wrote:
> > > > The vd->node is removed from the lists when the transfer started so the
> > > > vchan_get_all_descriptors() will not find it. This results memory leak.
> > > > 
> > > 
> > > Acked-by: Andy Shevchenko <[email-masked]>
> > Acked-by: Vinod Koul <[email-masked]>
> > 
> > Greg,
> > 
> > Please apply this in your queue for next
> 
> Apply what?  Can someone resend this in a format I can apply it in?

Ah sorry Greg, I thought you were cced in the orignal patch as well, so..

Peter, can you resend, now that this is in my next I will apply it

-- 
~Vinod

> thanks,
> gregk -h

--